STRUCT (3)

NAME
boost::numeric::functional::as_zero<T,_std_vector_tag>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional/vector.hpp>
template<typename T>
struct as_zero<T, std_vector_tag> : public std::unary_function< T, remove_const< T >::type > {
  // public member functions
  remove_const< T >::type operator()(T &) const;
};

DESCRIPTION

  as_zero public member functions

    1.

    remove_const< T >::type operator()(T & arr) const;